/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-09-06 09:54:09
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-09-06 11:03:29
 * @FilePath: \gzDyh\gz-customerSystem\src\views\register\matterDetail\Supervising.jsx
 * @Description: 督办
 */
import React, { useState } from 'react';
import { Form, Input, Radio, Button, Modal } from '@arco-design/web-react';
import { Col, Space, Row, } from 'antd';
import { knock } from '@/assets/images/icon'
import { link, register } from '@/assets/images';
import { question1, } from '@/assets/images';
import ArcoUpload from '@/components/ArcoUpload';
import * as $$ from '@/utils/utility';
import ModeSelect from './ModeSelect'


const RadioGroup = Radio.Group;
const FormItem = Form.Item;
const appUrl = $$.appUrl;

function delFile(id) {
  return $$.ax.request({ url: `fileInfo/deleteFileById`, type: 'get', service: 'sys', data: { id } });
}





const SupervisingView = (id) => {
  const [radioValue, setRadioValue] = useState('1')
  const [response, setResponse] = useState('')
  const [selectedTab1, setSelectedTab1] = useState('1'); // 默认选中第一个 tab
  const [detail, setDetail] = useState(false);
  const [mode, SetMode] = useState(false);
  const [supervising, setSupervising] = useState(false);


  const tabs2 = [
    { index: '1', label: '公共模板1：回复督办内容收到通用范本' },
  ]




  const content = selectedTab1 === '1'
    ? `鉴于本事项的重要性及紧迫性，现要求你尽快启动调解程序，并确保案件能够得到及时有效的处理。请您务必于本周内完成以下事项：XX、XX、XX。请确保在事项办理的过程中，遵循公平、公正的原则，并积极促进双方达成共识`
    : '1';

  const handleResponse = () => {
    setResponse(!response)
  }

  const handleTabChange1 = (newTabIndex) => {
    setSelectedTab1(newTabIndex);
  };

  //删除文件
  const handleDelFile = async (id) => {
    const res = await delFile(id)
    if (res.type) {
      $$.infoSuccess({ content: '删除成功！' });
    }
  }

  const handleSupervising = () => {
    setSupervising(!supervising)
  }





  return (
    <>
      <RadioGroup
        type='button'
        name='lang'
        defaultValue='1'
        style={{ display: 'flex', margin: '0 16px 0px 16px', }}
        value={radioValue}
        onChange={(v) => setRadioValue(v)}
      >
        <Radio value='1' style={{ flex: 1, textAlign: 'center' }} >未回复</Radio>
        <Radio value='2' style={{ flex: 1, textAlign: 'center' }}>已回复</Radio>
      </RadioGroup>
      {
        radioValue === '1' &&
        <div className='Supervising'>
          <div style={{ display: 'flex', marginBottom: '4px' }}>
            <img src={knock} alt='' style={{ marginRight: '4px' }} />
            <div style={{ color: '#EF6C24' }} >回复期限剩3小时</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办时间：</div>
            <div>2024-7-12 10:50</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办人：</div>
            <div>张三丰</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title' style={{ width: '70px' }}>督办内容：</div>
            <div style={{ flex: 1 }}>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办附件：</div>
            <img src={link} alt='' className='Supervising-item-file' />
            <div>2</div>
          </div>
          <Button className='Supervising-btn' size='small' type='outline' onClick={() => handleResponse()}>回复</Button>
        </div>
      }
      {
        radioValue === '2' &&
        <div className='Supervising'>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办时间：</div>
            <div>2024-7-12 10:50</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办人：</div>
            <div>张三丰</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办内容：</div>
            <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
          </div>
          <div className='Supervising-item'>
            <div className='Supervising-item-title'>督办附件：</div>
            <img src={link} alt='' style={{ width: '16px' }} />
            <div>2</div>
          </div>
          <div className='Supervising-info'>
            <div className='Supervising-info-time'>已于2024-7-13 12:00回复完成</div>
            <div className='Supervising-info-detail' onClick={() => setDetail(true)}>查看详情</div>
          </div>
        </div>
      }
      <Modal visible={response} onCancel={() => setResponse(false)} title='回复督办' centered footer={null} style={{ overflowY: 'auto' }}>
        <div style={{}}>
          <Col span={24} style={{ marginBottom: '8px' }}>
            <Space size='small'>
              <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办意见</h5>
            </Space>
          </Col>
          <Row gutter={[16, 16]}>
            <Col span={24} >
              <div className="title-text">督办时间</div>
              <div>2024-7-12 10:50</div>
            </Col>
            <Col span={24}>
              <div className="title-text">督办人</div>
              <div>张三丰</div>
            </Col>
            <Col span={24}>
              <div className="title-text">督办内容</div>
              <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
            </Col>
            <Col span={24}>
              <div className="title-text">督办附件</div>
              <img src={link} alt="" className="title-file" />广东好又多贸易有限公司营业执照副本.pdf
            </Col>
          </Row>
          <Col span={24} style={{ marginBottom: '8px' }}>
            <Space size='small'>
              <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办回复</h5>
            </Space>
          </Col>
          <Form
            layout='vertical'
            requiredSymbol={false}
            scrollToFirstError={true}
            initialValues={{
              suggestion: ''
            }}//默认值
          >
            <Row>
              <Col span={24}>
                <FormItem
                  field='suggestion'
                >
                  <div style={{ display: 'flex', justifyContent: 'space-between' }}>
                    <div className='tabs1'>
                      {tabs2.map((tab) => (
                        <div
                          key={tab.index}
                          style={{
                            color: selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(0,0,0,0.45)',
                            border: `1px solid ${selectedTab1 === tab.index ? 'rgba(26,111,184,1)' : 'rgba(229,230,235,1)'}`,
                            borderRadius: '2px',
                            cursor: 'pointer',
                            padding: '0px 8px',
                          }}
                          onClick={() => handleTabChange1(tab.index)}
                        >
                          {tab.label}
                        </div>
                      ))}
                    </div>
                    <div style={{ color: '#1A6FB8' }} onClick={() => SetMode(!mode)}>更多模板</div>
                  </div>
                  <Input.TextArea
                    rows={5}
                    wrapperStyle={{ width: '700px' }}
                    value={content}
                  />
                </FormItem>
              </Col>
              <Col span={24}>
                <FormItem
                  label={<div style={{ display: 'flex', }}><div>附件材料</div><img src={question1} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} /></div>}
                  field='caseDes'
                  rules={[{ message: '请填写事项概况', required: true }]}
                >
                  <ArcoUpload
                    params={{
                      action: `${appUrl.fileUrl}/${appUrl.sys}/api/web/fileInfo/upload?mainId='24083010062110001'&&ownerId=${id}&ownerType=22_00018-102`,
                    }}
                    field='file1'
                    // handleChangeFile={handleChangeFile}
                    label=''
                    // editData={props.editData}
                    handleDelFile={handleDelFile}
                  />
                </FormItem>
              </Col>
              <Button type='primary' style={{ marginTop: '-16px', marginBottom: '16px' }} onClick={() => handleSupervising()}>提交</Button>
            </Row>
          </Form>
        </div>
      </Modal>
      <ModeSelect onCancel={() => SetMode(false)} mode={mode} />
      <Modal visible={detail} onCancel={() => setDetail(false)} title='督办回复详情' centered footer={null}>
        <Col span={24} style={{ marginBottom: '8px' }}>
          <Space size='small'>
            <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办意见</h5>
          </Space>
        </Col>
        <Row gutter={[16, 16]}>
          <Col span={24} >
            <div className="title-text">督办时间</div>
            <div>2024-7-12 10:50</div>
          </Col>
          <Col span={24}>
            <div className="title-text">督办人</div>
            <div>张三丰
              <img src={register} alt='' className='icon-register' />
            </div>
          </Col>
          <Col span={24}>
            <div className="title-text">督办内容</div>
            <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
          </Col>
          <Col span={24}>
            <div className="title-text">督办附件</div>
            <div style={{ display: 'flex' }}>
              <img src={link} alt="" className="title-file" />
              <div style={{ color: '#1A6FB8' }}>广东好又多贸易有限公司营业执照副本.pdf</div>
            </div>

          </Col>
        </Row>
        <Col span={24} style={{ marginBottom: '8px', marginTop: '20px' }}>
          <Space size='small'>
            <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>督办回复</h5>
          </Space>
        </Col>
        <Row gutter={[16, 16]}>
          <Col span={24} >
            <div className="title-text">回复时间</div>
            <div>2024-7-12 10:50</div>
          </Col>
          <Col span={24}>
            <div className="title-text">回复人</div>
            <div>张三丰
              <img src={register} alt='' className='icon-register' />
            </div>
          </Col>
          <Col span={24}>
            <div className="title-text">回复内容</div>
            <div>该纠纷事件目前群众较为关注，现要求相关部门即刻启动纠纷化解工作。请负责同事务必于本周内制定出具体解决方案，并确保与当事人进行有效沟通。请各位积极响应，高效协作，争取在最短时间内妥善处理完毕。</div>
          </Col>
          <Col span={24}>
            <div className="title-text">附件材料</div>
            <div style={{ display: 'flex' }}>
              <img src={link} alt="" className="title-file" />
              <div style={{ color: '#1A6FB8' }}>李晓明的人民调解协议书.pdf</div>
            </div>

          </Col>
        </Row>
      </Modal>

    </>

  )
}

export default SupervisingView;